Subject: [bug#55517] [PATCH]: gnu: emacs-magit: Drop the libgit backend.

From: Maxim Cournoyer <[email-masked]>
Date: Sat, 21 May 2022 20:46:13 -0400

Hello,

Zhu Zihao <[email-masked]> writes:

> Maxim Cournoyer <[email-masked]> writes:
>
>> Hi Zhu,
>>
>> Zhu Zihao <[email-masked]> writes:
>>
>>> Fix the typo in commit message
>>>
>>>>>From 8a2de5764a67bea1cbf789c8d6ce0ab0878ec40b Mon Sep 17 00:00:00 2001
>>> From: Zhu Zihao <[email-masked]>
>>> Date: Thu, 19 May 2022 13:01:46 +0800
>>> Subject: [PATCH] gnu: emacs-magit: Drop the libgit backend.
>>>
>>> Drop the libgit backend for following reasons:
>>>
>>> 1. The libgit backend of Magitis very incomplete. There's almost no benefits,
>>> but extra maintenance efforts.
>>
>> Could you elaborate about "almost no benefits"?  Even if it's a small
>> benefit, if it makes it faster, I'd still keep it since Magit is at
>> times excruciatingly slow.
>
> It's slow? AFAIK magit user always complain that magit on Windows system
> is slow. The process creation on *nix is much cheaper than Windows, so
> Magit is not slow on *nix.

I've never used it on Windows, but yes, when working with hundred of
commits it's quite slow; just refreshing the status buffer takes ages.

> I've elaborated the reason in
> https://debbugs.gnu.org/cgi/bugreport.cgi?bug=55427.
>
> The libgit backend of Magit is almost nothing, only one function is
> implemented. `magit-bare-repo-p` will be used in magit-toplevel which is
> called frequently in the magit source code. But this function is cached.

Thanks for that; I've looked at magit-libgit.el and it indeed doesn't
appear to provide much of anything yet.  I guess we could drop the
dependency for now and revisit it in the future if/when development
picks up again on the magit/libgit integration.

Thanks,

Maxim